[ Maverik Level 1 functions ]

#

mav_paletteTextureColourAlphaSet

## Summary

Set the alpha component for a colour in a palette texture.

## Syntax

void mav_paletteTextureColourAlphaSet(MAV_palette *p, int index, int r, int g, int b, float a);

- MAV_palette *p
  Palette to set.

- int index
  Index into textures table, in range 0..`mav_opt_maxTextures` (default 150).

- int r, int g, int b
  RGB of colour to match (each 0-255).

- float a
  Alpha value (0.0 - 1.0)

## Description

This function is similar to mav_paletteTextureAlphaSet. However, it only sets the alpha components of those colours in the texture whose RGB values exactly match `r`, `g` and `b`.

## See also

mav_paletteTextureAlphaSet.

Back to the index page.